package com.qmth.exam.reserve.bean;

/**
 * 常量
 */
public interface Constants {

    String SYSTEM_BUSY = "当前系统繁忙，请稍后再试！";

    String REQUEST_API_BUSY = "当前请求繁忙，请稍后再试！";

    /**
     * 接口限流规则：N次/N秒
     */
    String API_LIMIT_EXPRESSION = "200/1s";

    /**
     * 分类层级
     */
    String CATEGORY_LEVEL = "CATEGORY_LEVEL";

    /**
     * 异步任务
     */
    String ASYNC_TASK = "ASYNC_TASK";

    /**
     * 文件存储临时目录
     */
    String TMP_DIR = "java.io.tmpdir";

    /**
     * 临时文件前缀
     */
    String TEMP_FILE_SUFFIX = "temp";

    /**
     * excel后缀
     */
    String XLSX_PREFIX = ".xlsx";

    /**
     * 异步下载提示
     */
    String ASYNC_TIPS = "正在执行,请在我的任务中查看执行结果";

    /**
     * 用户初始密码
     */
    String DEFAULT_PASSWORD = "123456";

    /**
     * 文件大小限制
     */
    long FILE_SIZE_LIMIT = 500 * 1024;

    /**
     * 预约开关
     */
    String APPLY_SWITCH = "APPLY_SWITCH";

    /**
     * 预约开启
     */
    String APPLY_SWITCH_OPEN = "1";

    /**
     * 预约关闭
     */
    String APPLY_SWITCH_CLOSE = "0";


}
