package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamSiteTimePeriodInfo implements IModel {

    private static final long serialVersionUID = 8158455040867688700L;

    @ApiModelProperty(value = "预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty(value = "预约时段开始")
    private Long startTime;

    @ApiModelProperty(value = "预约时段结束")
    private Long endTime;

    @ApiModelProperty(value = "是否启用")
    private Boolean enable;

}
