package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamSiteTimePeriodQuery implements IModel {

    private static final long serialVersionUID = 8158455040867688700L;

    @ApiModelProperty(value = "预约任务ID")
    private Long applyTaskId;

    @ApiModelProperty(value = "考点ID")
    private Long examSiteId;

    @ApiModelProperty(value = "预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty(value = "预约时段起点")
    private Long timeBegin;

    @ApiModelProperty(value = "预约时段终点")
    private Long timeEnd;

}
