package com.qmth.exam.reserve.bean.category;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class CategoryCacheBean implements IModel {

    private static final long serialVersionUID = 7281573122925814645L;

    @ApiModelProperty(value = "父级ID")
    private Long parentId;

    @ApiModelProperty(value = "分类ID")
    private Long id;

    @ApiModelProperty(value = "分类代码")
    private String code;

    @ApiModelProperty(value = "分类名称")
    private String name;

    @ApiModelProperty(value = "分类层级")
    private Integer level;

    @ApiModelProperty(value = "是否启用")
    private Boolean enable;

    @ApiModelProperty(value = "教学点是否开启考生自主预约")
    private Boolean selfApplyEnable;

}
