package com.qmth.exam.reserve.bean.examsite;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamSiteCacheBean implements IModel {

    private static final long serialVersionUID = 7281573122925814645L;

    @ApiModelProperty(value = "分类ID")
    private Long categoryId;

    @ApiModelProperty(value = "分类名称")
    private String categoryName;

    @ApiModelProperty(value = "考点ID")
    private Long examSiteId;

    @ApiModelProperty(value = "考点名称")
    private String examSiteName;

    @ApiModelProperty(value = "考点地址")
    private String examSiteAddress;

}
