package com.qmth.exam.reserve.bean.examsite;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.bean.PagerReq;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamSiteReq extends PagerReq {

    @ApiModelProperty("教学点ID")
    private Long teachingId;

    @ApiModelProperty("考点名称")
    private String name;

    @ApiModelProperty("状态:启用禁用")
    private Boolean enable;
}
