package com.qmth.exam.reserve.bean.examsite;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamSiteVO implements IModel {

    @ApiModelProperty("考点ID")
    private Long id;

    @ApiModelProperty("考点代码")
    private String code;

    @ApiModelProperty("考点名称")
    private String name;

    @ApiModelProperty("考点地址")
    private String address;

    @ApiModelProperty("考点所属教学点")
    private String teachingName;

    @ApiModelProperty("考点容量")
    private Integer capacity;

    @ApiModelProperty("考点状态")
    private Boolean enable;

    @ApiModelProperty("考点所属教学点ID")
    private Long teachingId;
}

