package com.qmth.exam.reserve.bean.room;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.bean.PagerReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamRoomReq extends PagerReq {

    @ApiModelProperty("教学点ID")
    private Long teachingId;

    @ApiModelProperty("考点ID")
    private Long examSiteId;

    @ApiModelProperty("考场名称")
    private String name;

    @ApiModelProperty("考场状态")
    private Boolean enable;
}
