package com.qmth.exam.reserve.bean.room;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamRoomSaveReq implements IModel {

    @ApiModelProperty(value = "考场ID")
    private Long id;

    @ApiModelProperty(value = "考场代码", required = true)
    private String code;

    @ApiModelProperty(value = "考场名称", required = true)
    private String name;

    @ApiModelProperty(value = "考场地址", required = true)
    private String address;

    @ApiModelProperty(value = "考场容量", required = true)
    private Integer capacity;

    @ApiModelProperty(value = "所属考点", required = true)
    private Long examSiteId;
}
