package com.qmth.exam.reserve.bean.stdapply;

import com.qmth.exam.reserve.bean.IModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class MaterialTitleInfo implements IModel {

    private static final long serialVersionUID = -8349049302217270697L;

    @ApiModelProperty("任务名称")
    private String taskName;

    @ApiModelProperty("考点名称")
    private String siteName;

    @ApiModelProperty("考点地址")
    private String address;

    @ApiModelProperty("考试时间")
    private String timePeriod;

    @ApiModelProperty("考场代码")
    private String roomCode;

    @ApiModelProperty("考场名称")
    private String roomName;

}
