package com.qmth.exam.reserve.bean.stdapply;

import java.util.List;

import com.qmth.exam.reserve.bean.PagerReq;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentApplyReq extends PagerReq {

    private static final long serialVersionUID = -4945630927057518990L;

    @ApiModelProperty("所预约教学点ID")
    private Long teachingId;

    @ApiModelProperty("考点ID")
    private Long agentId;

    @ApiModelProperty("考生姓名")
    private String name;

    @ApiModelProperty("证件号码")
    private String identityNumber;

    @ApiModelProperty("考生学号")
    private String studentCode;

    @ApiModelProperty("考试日期")
    private Long startDate;

    @ApiModelProperty("结束日期")
    private Long endDate;

    @ApiModelProperty("任务ID")
    private Long taskId;

    @ApiModelProperty("所有考点")
    private List<Long> examSiteIds;
}
