package com.qmth.exam.reserve.bean.stdapply;

import com.qmth.exam.reserve.bean.IModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentApplyVO implements IModel {

    private static final long serialVersionUID = 1246902696359595118L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("考生姓名")
    private String name;

    @ApiModelProperty("证件号码")
    private String identityNumber;

    @ApiModelProperty("考生学号")
    private String studentCode;

    @ApiModelProperty("考生所属教学点")
    private String teachingName;

    @ApiModelProperty("考生预约的考点")
    private String agentName;

    @ApiModelProperty("预约时段的起始时间")
    private Long startTime;

    @ApiModelProperty("预约时段的截止时间")
    private Long endTime;

    @ApiModelProperty("考场,排考后才有值")
    private String roomName;

    @ApiModelProperty("考生座位号,排考后才有值")
    private String seatNumber;

    @ApiModelProperty("预约的状态")
    private Boolean cancel;

    @ApiModelProperty("操作时间")
    private Long updateTime;

    @ApiModelProperty("后台操作人员名称")
    private String userName;

    @ApiModelProperty("考生所预约教学点")
    private String applyTeachingName;

    @ApiModelProperty("时段ID")
    private Long timePeriodId;

    @ApiModelProperty("是否可取消")
    private Boolean canCancelFlag;

}
