package com.qmth.exam.reserve.bean.stdapply;

import java.util.List;

import com.qmth.exam.reserve.bean.IModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentImportVO implements IModel {

    private static final long serialVersionUID = 4346725022580732100L;

    @ApiModelProperty("考生ID")
    private Long studentId;

    @ApiModelProperty("考生可预约的次数")
    private Integer applyNumber;

    @ApiModelProperty("考生预约的考点和时段")
    private List<AgentAndTimeVO> agentTimeList;

}
