package com.qmth.exam.reserve.bean.student;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.bean.PagerReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentReq extends PagerReq implements IModel {

    private static final long serialVersionUID = 3027134387973584334L;

    @ApiModelProperty(value = "任务ID")
    private Long taskId;

    @ApiModelProperty(value = "教学点ID")
    private Long teachingId;

    @ApiModelProperty(value = "考生姓名")
    private String name;

    @ApiModelProperty(value = "证件号")
    private String identityNumber;

    @ApiModelProperty(value = "学号")
    private String studentCode;

}
