package com.qmth.exam.reserve.bean.teaching;

import com.qmth.exam.reserve.bean.IModel;

import com.qmth.exam.reserve.bean.PagerReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TeachingReq extends PagerReq implements IModel {

    private static final long serialVersionUID = 2203050783813389251L;

    @ApiModelProperty(value = "教学点名称")
    private String name;

    @ApiModelProperty(value = "教学点代码")
    private String code;

    @ApiModelProperty(value = "状态(true|false)")
    private Boolean enable;

    @ApiModelProperty(value = "教学点所在层级(默认为2)")
    private Integer level;
}
