package com.qmth.exam.reserve.bean.timeperiod;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TimePeriodExamSiteInfo implements IModel {

    private static final long serialVersionUID = 7144061629980131259L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty("预约时段字符串")
    private String timePeriodStr;

    @ApiModelProperty("是否开启")
    private Boolean enable;

    @ApiModelProperty("是否可编辑")
    private Boolean editable;
}
