package com.qmth.exam.reserve.bean.user;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.bean.PagerReq;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserReq extends PagerReq implements IModel {

    private static final long serialVersionUID = 7223137192010228393L;

    @ApiModelProperty(value = "教学点ID")
    private Long categoryId;

    @ApiModelProperty(value = "用户名称")
    private String name;

    @ApiModelProperty(value = "登录名称")
    private String loginName;

    @ApiModelProperty(value = "角色代码")
    private String roleCode;

    @ApiModelProperty(value = "启用、禁用")
    private Boolean enable;

}
