package com.qmth.exam.reserve.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Getter
@Setter
@Component
public class SysProperty {

    @Value("${wx.app_id}")
    private String appId;

    @Value("${wx.app_secret}")
    private String appSecret;

    @Value("${com.qmth.fss.config}")
    private String config;

    @Value("${com.qmth.fss.server}")
    private String server;

    @Value("${com.qmth.api_limit_expression:200/1s}")
    private String apiLimitExpression;

}
