package com.qmth.exam.reserve.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.exam.reserve.bean.teaching.TeachingReq;
import com.qmth.exam.reserve.bean.teaching.TeachingVO;
import com.qmth.exam.reserve.entity.CategoryEntity;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

public interface CategoryDao extends BaseMapper<CategoryEntity> {

    IPage<TeachingVO> page(Page<TeachingVO> page, @Param("req") TeachingReq req);

    void updateTeachingCapacity(@Param("teachingId") Long teachingId);
}
