package com.qmth.exam.reserve.template.assign;

import org.springframework.scheduling.annotation.Async;

import java.util.Map;

/**
 * @Description 自动分配模板类
 */
public abstract class AsyncAutoAssignTaskTemplate {

    public static final String BEGIN_TITLE = "->开始准备处理自动分配";

    public static final String EXCEPTION_DATA = "错误信息:";

    public static final String EXCEPTION_CREATE_TXT_TITLE = "->分配时发生异常!";

    @Async
    public abstract void assignTask(Map<String, Object> map) throws Exception;
}
