-- v1.0.2 sql更新

insert into t_system_property(org_id, prop_key, prop_value, create_time, update_time)
values (1, 'APPLY_SWITCH', '1', unix_timestamp() * 1000, unix_timestamp() * 1000);

CREATE TABLE `t_time_period_exam_room`
(
    `id`             bigint NOT NULL AUTO_INCREMENT COMMENT '主键',
    `create_time`    bigint NOT NULL COMMENT '创建时间',
    `update_time`    bigint NOT NULL COMMENT '更新时间',
    `exam_room_id`   bigint NOT NULL COMMENT '考场ID',
    `time_period_id` bigint NOT NULL COMMENT '预约时段ID',
    `enable`         bit(1) NULL DEFAULT NULL COMMENT '是否开启',
    `operate_id`     bigint NULL DEFAULT NULL COMMENT '操作人',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE INDEX `IDX_01` (`exam_room_id`, `time_period_id`) USING BTREE,
    INDEX `IDX_02` (`exam_room_id`) USING BTREE
) COMMENT = '考场开启时段表';
