package com.qmth.exam.reserve.bean;

import com.alibaba.excel.annotation.ExcelIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class BasicExcelRow implements IModel {

    private static final long serialVersionUID = -1636637759497290429L;

    @ApiModelProperty(value = "sheet页")
    @ExcelIgnore
    public Integer sheet;

    @ApiModelProperty(value = "行号")
    @ExcelIgnore
    public Integer row;

    @ApiModelProperty(value = "列名和错误原因")
    @ExcelIgnore
    public List<String> errorMessage;
}
