package com.qmth.exam.reserve.bean.apply;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ApplyRecordCacheBean implements IModel {

    private static final long serialVersionUID = 2804383719693396546L;

    @ApiModelProperty(value = "考生ID")
    private Long studentId;

    @ApiModelProperty(value = "考点ID")
    private Long examSiteId;

    @ApiModelProperty(value = "预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty(value = "是否已取消预约")
    private Boolean cancel;

    @ApiModelProperty(value = "操作人ID")
    private Long operateId;

    @ApiModelProperty(value = "操作时间")
    private Long operateTime;

    @ApiModelProperty(value = "预约队列业务流水号")
    private Long bizId;

}
