package com.qmth.exam.reserve.bean.asynctask;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.bean.PagerReq;
import com.qmth.exam.reserve.enums.AsyncTaskStatus;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AsyncTaskReq extends PagerReq implements IModel {

    private static final long serialVersionUID = -8099726179443930947L;

    @ApiModelProperty(value = "操作人ID")
    private Long operateId;

    @ApiModelProperty(value = "异步任务执行状态")
    private AsyncTaskStatus status;
}
