package com.qmth.exam.reserve.bean.asynctask;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.enums.AsyncTaskResult;
import com.qmth.exam.reserve.enums.AsyncTaskStatus;
import com.qmth.exam.reserve.enums.AsyncTaskType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class AsyncTaskVO implements IModel {

    private static final long serialVersionUID = -3251374414344127272L;

    @ApiModelProperty(value = "任务类型")
    private AsyncTaskType type;

    @ApiModelProperty(value = "异步任务执行状态")
    private AsyncTaskStatus status;

    @ApiModelProperty(value = "异步任务执行结果")
    private AsyncTaskResult result;

    @ApiModelProperty(value = "执行摘要")
    private String summary;

    @ApiModelProperty(value = "导出文件下载路径")
    private String exportFilePath;

    @ApiModelProperty(value = "导入文件下载路径")
    private String importFilePath;

    @ApiModelProperty(value = "执行开始时间")
    private Long createTime;

    @ApiModelProperty(value = "执行结束时间")
    private Long updateTime;

    @ApiModelProperty(value = "操作人")
    private String operator;
}
