package com.qmth.exam.reserve.bean.examsite;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamSiteSaveReq implements IModel {

    @ApiModelProperty(value = "考点ID")
    private Long id;

    @ApiModelProperty(value = "考点代码",required = true)
    private String code;

    @ApiModelProperty(value = "考点名称",required = true)
    private String name;

    @ApiModelProperty(value = "考点地址",required = true)
    private String address;

    @ApiModelProperty(value = "考点所属教学点ID",required = true)
    private Long teachingId;

}
