package com.qmth.exam.reserve.bean.room;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class ExamRoomVO implements IModel {

    @ApiModelProperty("考场ID")
    private Long id;

    @ApiModelProperty("考场代码")
    private String code;

    @ApiModelProperty("考场名称")
    private String name;

    @ApiModelProperty("考场地址")
    private String address;

    @ApiModelProperty("考场(机房)容量")
    private Integer capacity;

    @ApiModelProperty("所属考点")
    private String examSiteName;

    @ApiModelProperty("所属教学点")
    private String teachingName;

    @ApiModelProperty("考场状态")
    private Boolean enable;

    @ApiModelProperty("所属考点ID")
    private Long examSiteId;

    @ApiModelProperty("所属教学点ID")
    private Long teachingId;
}
