package com.qmth.exam.reserve.bean.stdapply;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.exam.reserve.bean.IModel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description 未完成预约的考生
 * @Author haoguanghui
 * @date 2024/05/28
 */
@Getter
@Setter
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class StudentExport implements IModel {

    //    @ExcelColumn(name = "学号", index = 0)
    @ExcelProperty(value = "学号")
    private String studentCode;

    //    @ExcelColumn(name = "考生姓名", index = 1)
    @ExcelProperty(value = "考生姓名")
    private String studentName;

    //    @ExcelColumn(name = "证件号码", index = 2)
    @ExcelProperty(value = "证件号码")
    private String identityNumber;

    //    @ExcelColumn(name = "所属教学点", index = 3)
    @ExcelProperty(value = "所属教学点")
    private String teachingName;

    //    @ExcelColumn(name = "未预约的场次数", index = 4)
    @ExcelProperty(value = "未预约的场次数")
    private String remainApplyNumber;

}
