package com.qmth.exam.reserve.bean.student;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentExportVO implements IModel {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "考生姓名")
    @ExcelColumn(name = "姓名", index = 0)
    private String name;

    @ApiModelProperty(value = "证件号")
    @ExcelColumn(name = "证件号", index = 1)
    private String identityNumber;

    @ApiModelProperty(value = "学号")
    @ExcelColumn(name = "学号", index = 2)
    private String studentCode;

    @ApiModelProperty(value = "教学点")
    @ExcelColumn(name = "教学点", index = 3)
    private String teachingName;

    @ApiModelProperty(value = "科目名称")
    @ExcelColumn(name = "科目", index = 4)
    private String courseName;

    @ApiModelProperty(value = "科目代码")
    @ExcelColumn(name = "科目代码", index = 5)
    private String courseCode;

}
