package com.qmth.exam.reserve.bean.student;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentVO implements IModel {

    private static final long serialVersionUID = -7609631099929677911L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "考生姓名")
    private String name;

    @ApiModelProperty(value = "证件号")
    private String identityNumber;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "教学点")
    private String teachingName;

    @ApiModelProperty(value = "可预约次数")
    private Integer applyNumber;

    @ApiModelProperty(value = "科目代码")
    private String courseCode;

    @ApiModelProperty(value = "科目名称")
    private String courseName;

    @ApiModelProperty(value = "考生照片地址")
    private String photoPath;

}
