package com.qmth.exam.reserve.bean.studentimport;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class StudentImportInfo implements IModel {

    private static final long serialVersionUID = 7953572112420836164L;

    @ApiModelProperty("考生姓名")
    private String name;

    @ApiModelProperty("证件号")
    private String identityNumber;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("考生密码")
    private String password;

    @ApiModelProperty("所属机构ID（学校）")
    private Long orgId;

    @ApiModelProperty("所属预约任务ID")
    private Long applyTaskId;

    @ApiModelProperty("所属教学点ID")
    private Long categoryId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("课程代码")
    private String courseCode;

}
