package com.qmth.exam.reserve.bean.teaching;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
public class TeachingSaveReq implements IModel {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value="教学点代码", required = true)
    private String code;

    @ApiModelProperty(value="教学点名称", required = true)
    private String name;

    @ApiModelProperty(value="教学点所在城市", required = true)
    private Long cityId;

}
