package com.qmth.exam.reserve.bean.teaching;

import com.qmth.exam.reserve.bean.IModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class TeachingVO implements IModel {

    private static final long serialVersionUID = 1426430044029724693L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("代码")
    private String code;

    @ApiModelProperty("教学点名称")
    private String name;

    @ApiModelProperty("城市")
    private String cityName;

    @ApiModelProperty("总容量")
    private Integer capacity;

    @ApiModelProperty("状态")
    private Boolean enable;

    @ApiModelProperty("教学点所属城市")
    private Long cityId;

}
