package com.qmth.exam.reserve.bean.user;

import com.qmth.exam.reserve.bean.IModel;
import com.qmth.exam.reserve.enums.Role;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserSaveReq implements IModel {

    private static final long serialVersionUID = 5673587192129146469L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("角色代码")
    private Role roleCode;

    @ApiModelProperty("用户名")
    private String name;

    @ApiModelProperty("登录名")
    private String loginName;

    @ApiModelProperty("手机号码")
    private String mobile;

    @ApiModelProperty("所属教学点")
    private Long categoryId;

}
