package com.qmth.exam.reserve.bean.user;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class UserVO implements IModel {

    private static final long serialVersionUID = 2021552237474027037L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("启用、禁用")
    private Boolean enable;

    @ApiModelProperty(value = "角色代码")
    private String roleCode;

    @ApiModelProperty(value = "角色名称")
    private String roleName;

    @ApiModelProperty("用户姓名")
    private String name;

    @ApiModelProperty("登录名")
    private String loginName;

    @ApiModelProperty("手机号码")
    private String mobile;

    @ApiModelProperty("所属教学点")
    private Long categoryId;

    @ApiModelProperty("所属教学点名称")
    private String categoryName;

    @ApiModelProperty("创建时间")
    private Long createTime;

    @ApiModelProperty("更新时间")
    private Long updateTime;

}
