package com.qmth.exam.reserve.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.exam.reserve.bean.examsite.ExamSiteCacheBean;
import com.qmth.exam.reserve.bean.examsite.ExamSiteCapacityInfo;
import com.qmth.exam.reserve.bean.examsite.ExamSiteReq;
import com.qmth.exam.reserve.bean.examsite.ExamSiteVO;
import com.qmth.exam.reserve.entity.ExamSiteEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExamSiteDao extends BaseMapper<ExamSiteEntity> {

    Integer countExamSiteCapacityById(@Param("examSiteId") Long examSiteId);

    List<ExamSiteCapacityInfo> findAllExamSiteCapacityList();

    ExamSiteCacheBean findInfoById(@Param("examSiteId") Long examSiteId);

    IPage<ExamSiteVO> page(Page<ExamSiteVO> page, @Param("req") ExamSiteReq req);

    void updateExamSiteCapacity(@Param("examSiteId") Long examSiteId);

}
