package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_time_period_exam_room")
public class TimePeriodExamRoomEntity extends BaseEntity {

    private static final long serialVersionUID = 3582968112249023750L;

    /**
     * 考场ID
     */
    private Long examRoomId;

    /**
     * 预约时段ID
     */
    private Long timePeriodId;

    /**
     * 是否开启
     */
    private Boolean enable;

    /**
     * 操作人ID
     */
    private Long operateId;
}
