package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.asynctask.AsyncTaskReq;
import com.qmth.exam.reserve.bean.asynctask.AsyncTaskVO;
import com.qmth.exam.reserve.entity.AsyncTaskEntity;
import com.qmth.exam.reserve.enums.AsyncTaskType;

import java.util.Map;

/**
 * @Description 异步任务
 */
public interface AsyncTaskService extends IService<AsyncTaskEntity> {

    Map<String,Object> saveAsyncTask(AsyncTaskType type, Long operateId);

    PageResult<AsyncTaskVO> pageAsyncTask(AsyncTaskReq req);
}
