package com.qmth.exam.reserve.service;

import java.io.InputStream;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.PagerReq;
import com.qmth.exam.reserve.bean.studentimport.StudentImportTaskExport;
import com.qmth.exam.reserve.bean.studentimport.StudentImportTaskVO;
import com.qmth.exam.reserve.entity.StudentImportTaskEntity;

public interface StudentImportTaskService extends IService<StudentImportTaskEntity> {

    void importStudent(Long operateId, String filePath, InputStream inputStream);

    PageResult<StudentImportTaskVO> page(PagerReq req);

    List<StudentImportTaskExport> exportPage(Long id);

}
